.TH RECFUNK_AVERAGE.ASCII V1.0 10/03/2001
.SH NAME
\fIRECFUNK_AVERAGE.ASCII\fR - a FORTRAN code that will transform a collection of 3 component records 
(vertical, radial, transverse) into ASCII tables of average receiver functions (radial and transverse).
.SH SYNOPSIS
Run \fIrecfunk_average.ascii\fR from the command line. The code prompts user for the value of the
maximum frequency,
and dumps some intermediate output to the screen.

.SH DESCRIPTION

The code reads a file of data filenames and time intervals (see below).
The data must be in SAC format, all sampled at the same rate, with horizontals rotated to radial and transverse.
The code writes averages RFs to ASCII tables with fields: time, RF value. 
Output filenames are out[rt].trace. These files are overwritten every time you run the program, so rename them to save them.
The code stacks together ALL data found in the input file list.

.SH USAGE

Input parameters required:
.sp
maximum frequency - computations will be performed up to this frequency.
A cosine-squared taper [ (cos(pi*f/(2*f_max))**2 ] is used to smooth the spectra, so effective spectral content will have frequencies up to f_max/2.

.SH INPUT DATA REQUIREMENTS
SAC formatted records of 3 components of motion (Z,R,T) are needed for
the computation of RFs. Headers of SAC-formatted files need to contain
receiver and source positions, and fields "gcarc" and "baz" need to be
filled in. The time window for analysis needs to have equal amounts of
pre-event noise and signal, e.g., 100 sec of each. Analysis windows are
defined explicitly for each triplet of records in the input file
"in_recfunk".
Naming convention for data files is as follows:
.br
3 files are expected, with vertical, radial and transverse components of motion.
File names have to end with either r,t or z. 

.SH INPUT FILE FORMAT

The input file name (mandatory!) is "in_recfunk" and has lines of the form: 
 
 1997.070.19.33.bh? <-- code replaces ? with r,t,z 
.br
 57 52 <-- start time of analysis window, window duration (sec) 
.br
 1997.076.08.15.bh?
.br 
 62 62 
.br
 ... 
.br
 stop <-- tells code that data is finished, 599 events max 

.SH OUTPUT FILES
The code creates two output files, creatively named out[rt].trace. The format is ASCII, 2-column tables,
with values:
.br
time_step	RF_value
.br
These files will be written over every time.

.SH SEE ALSO
\fIrecfunk\fR - prototype code written by J. Park,
at www.geology.yale.edu/~park/freecodes.html.
.sp
General ideology of the computations is outlined in 

Park, J., and V. Levin, Receiver functions from
 multiple-taper spectral correlation estimates,
 BSSA, v90, pp1507-1520, 2000

.sp
a website www.ldeo.columbia.edu/~vadim/RF/RF-manual.html provides a practical guide for this and related software.
